View Issue Details

IDProjectCategoryView StatusLast Update
0003241SymmetricDS ProBugpublic2018-02-14 15:08
ReportermmichalekAssigned Tokstojanovska 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.9.0Fixed in Version3.9.2 
Summary0003241: File sync should not sync all files when first scanning a directory
DescriptionThe first time that file sync tracks a directory, it adds all the entries to sym_file_snapshot, causing all files to sync. This seems like an unintended initial load, because all the files are sync'd when this initial track is run.

Solution might be to add a new event type to sym_file_snapshot, and change the router to recognize and discard sym_file_snapshot entries that have this new event type.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 ce2d32ca

2017-09-11 08:59:38

klementinastojanovska

Details Diff
0003241: File sync should not sync all files when first scanning a
directory

0003241
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ClusterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File

Issue History

Date Modified Username Field Change
2017-08-30 12:53 mmichalek New Issue
2017-08-30 12:53 mmichalek Status new => assigned
2017-08-30 12:53 mmichalek Assigned To => kstojanovska
2017-08-30 12:55 mmichalek Product Version 3.8.30 => 3.8.0
2017-08-30 12:55 mmichalek Target Version 3.8.30 => 3.9.0
2017-09-11 09:02 kstojanovska Status assigned => resolved
2017-09-11 09:02 kstojanovska Resolution open => fixed
2017-09-11 09:02 kstojanovska Fixed in Version => 3.9.0
2018-01-02 18:21 mmichalek Fixed in Version 3.9.0 => 3.9.2
2018-01-02 18:22 mmichalek Status resolved => closed
2018-02-14 15:08 Changeset attached => SymmetricDS 3.9 ce2d32ca